Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown
Summary: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search ...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact:
URL:
Keywords:
: 20263 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-09-29 11:37 UTC by Marc Véron
Modified: 2020-05-16 18:37 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
This patch preserves the current dropdown choices for patron search, but adds fields additionally defined in the DefaultPatronSearchFields system preference to the list of available options.
Version(s) released in:
20.05.00


Attachments
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (8.88 KB, patch)
2016-10-27 14:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (8.59 KB, patch)
2016-10-27 16:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (9.48 KB, patch)
2016-10-28 12:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (9.61 KB, patch)
2016-12-16 09:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17374 - QA Followup (5.64 KB, patch)
2017-08-23 23:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374 - Add cardnumber to list of searchable patron fields (2.09 KB, patch)
2018-01-02 12:56 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: (follow-up) update description of syspref DefaultPatronSearchFields (4.31 KB, patch)
2018-02-13 11:22 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (9.68 KB, patch)
2018-02-14 07:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17374: (QA follow-up) Skip invalid field names and add fields to sidebar (5.76 KB, patch)
2018-02-14 07:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17374: (QA follow-up) Add cardnumber to list of searchable patron fields (2.18 KB, patch)
2018-02-14 07:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17374: (QA follow-up) Update description of syspref DefaultPatronSearchFields (4.38 KB, patch)
2018-02-14 07:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17374: (follow-up) Remove spaces from include file (9.51 KB, patch)
2018-04-24 19:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (21.45 KB, patch)
2019-09-30 09:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (21.46 KB, patch)
2019-10-29 12:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 17374: (follow-up) Unit tests and remove warns (6.48 KB, patch)
2019-10-30 14:07 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (21.47 KB, patch)
2019-10-30 20:28 UTC, Maxime Dufresne
Details | Diff | Splinter Review
Bug 17374: (follow-up) Unit tests and remove warns (5.28 KB, patch)
2019-10-30 20:54 UTC, Maxime Dufresne
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (21.47 KB, patch)
2019-10-30 20:55 UTC, Maxime Dufresne
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (21.52 KB, patch)
2019-12-16 14:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: (follow-up) Remove spaces from include file (1.25 KB, patch)
2019-12-16 14:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: (follow-up) Unit tests and remove warns (6.54 KB, patch)
2019-12-16 14:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: Fix another occurrence (1.13 KB, patch)
2019-12-30 11:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: (QA follow-up) Make search labels match with patron record (4.88 KB, patch)
2020-01-30 07:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17374: (follow-up) Remove all spaces from include file (952 bytes, patch)
2020-02-05 13:08 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown (20.57 KB, patch)
2020-03-10 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17374: (follow-up) Remove spaces from include file (2.23 KB, patch)
2020-03-10 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17374: (follow-up) Unit tests (5.34 KB, patch)
2020-03-10 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17374: (QA follow-up) Make search labels match with patron record (4.95 KB, patch)
2020-03-10 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-09-29 11:37:56 UTC
Bug 14874 introduced syspref 'DefaultPatronSearchFields' to define what fields should be used in default patron search.
It would be nice see the fields in the search fields drop down as well. At the moment the are hard coded to: Surname,Email,Borrower number,Username,Phone number,Street Address,Date of birth,Sort field 1,Sort field 2
Comment 1 Nick Clemens 2016-10-27 14:24:22 UTC
Created attachment 56921 [details] [review]
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly
Comment 2 Nick Clemens 2016-10-27 16:28:39 UTC
Created attachment 56931 [details] [review]
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly
Comment 3 Bernardo Gonzalez Kriegel 2016-10-28 11:55:22 UTC
Hi Nick,
can you add tags <span>...</span> for the options?

From this
    [%- CASE 'standard' -%]Standard

to this
    [%- CASE 'standard' -%]<span>Standard</span>

It's better to translate each string than a big one full of '%s'.
Comment 4 Nick Clemens 2016-10-28 12:39:15 UTC
Created attachment 56958 [details] [review]
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly
Comment 5 Marc Véron 2016-12-16 09:31:34 UTC
Created attachment 58239 [details] [review]
Bug 17374 - Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 6 Jonathan Druart 2016-12-20 16:15:50 UTC
Is there a reason not to use the same list of fields on the Filters block (left side of patron list)? members/member.tt

If an entry of the pref is not valid, we will know get an empty entry. It may be better to skip it.
Comment 7 Nick Clemens 2017-08-23 23:40:38 UTC
Created attachment 66400 [details] [review]
Bug 17374 - QA Followup

Skip invlid field names
Add fields to sidebar
Comment 8 Katrin Fischer 2017-12-29 07:10:18 UTC
1) If you leave the preference empty, the default will show. The default doesn't include cardnumber, I think it might be good to include it on top.

2) When using the preference, the default will still show, so there is no way to remove fields. Wouldn't it make more sense to use the non-empty pref instead of the default? For example a lot of libraries don't use the sort fields and could remove them from the list this way. 

The current behaviour seems especially confusing since the preference is not empty by default but includes a list of values. Deleting one of them will have no effect as long as the value is in the list of default.

Failing for 2).
Comment 9 Nick Clemens 2018-01-02 12:56:30 UTC
Created attachment 70226 [details] [review]
Bug 17374 - Add cardnumber to list of searchable patron fields

To test:
1 - Apply patch
2 - Perform a 'cardnumber' search for patrons
3 - Verify results as expected
Comment 10 Nick Clemens 2018-01-02 13:01:10 UTC
(In reply to Katrin Fischer from comment #8)
> 1) If you leave the preference empty, the default will show. The default
> doesn't include cardnumber, I think it might be good to include it on top.
> 
> 2) When using the preference, the default will still show, so there is no
> way to remove fields. Wouldn't it make more sense to use the non-empty pref
> instead of the default? For example a lot of libraries don't use the sort
> fields and could remove them from the list this way. 
> 
> The current behaviour seems especially confusing since the preference is not
> empty by default but includes a list of values. Deleting one of them will
> have no effect as long as the value is in the list of default.
> 
> Failing for 2).
1 - Attached patch (this may be better as its own report)

2 - I think this is beyond scope here. The preference is intended to simply control the fields searched when using a 'standard' search. Adding these the dropdown is a convenience feature. I think removing fields is better done by javascript for customization. The list of fields here and the list in the pref didn't have parity before so introducing now would be a bigger change.

Moving back to QA queue for second opinion
Comment 11 Katrin Fischer 2018-02-09 06:54:35 UTC
Hm, I think now I understand better how this works: 

DefaultPatronSearchFields currently defines what is used for the "standard" search option but doesn't change the pull down.

I think the description of the pref needs to be improved to be more clear about its use:

Comma separated list defining the default fields to be used during a patron search

Should be currently mroe something like:

Comma separated list defining the default fields to be used during a spatron search using the 'standard' search option.

With the new behaviour then:

Comma separated list defining the default fields to be used during a spatron search using the 'standard' search option. If left empty, Koha will use: ...
If you add additional fields not in the default, they will also show as separate search options in the drop down.

This about right?

Nick, would it make sense to you to adapt the pref description a bit? 

I think my problem mostly was not understanding how this is supposed to work and others might have the same problem :)
Comment 12 Nick Clemens 2018-02-13 11:22:15 UTC
Created attachment 71536 [details] [review]
Bug 17374: (follow-up) update description of syspref DefaultPatronSearchFields
Comment 13 Katrin Fischer 2018-02-14 07:05:01 UTC
Would have accepted a change to just .pref :)
Comment 14 Katrin Fischer 2018-02-14 07:13:59 UTC
Created attachment 71597 [details] [review]
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2018-02-14 07:14:03 UTC
Created attachment 71598 [details] [review]
Bug 17374: (QA follow-up) Skip invalid field names and add fields to sidebar

Skip invlid field names
Add fields to sidebar

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2018-02-14 07:14:07 UTC
Created attachment 71599 [details] [review]
Bug 17374: (QA follow-up) Add cardnumber to list of searchable patron fields

To test:
1 - Apply patch
2 - Perform a 'cardnumber' search for patrons
3 - Verify results as expected

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2018-02-14 07:14:11 UTC
Created attachment 71600 [details] [review]
Bug 17374: (QA follow-up) Update description of syspref DefaultPatronSearchFields

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Katrin Fischer 2018-02-14 07:15:43 UTC
Fixed koha to Koha in the last commit and changed commit subject lines to meet standard.
Comment 19 Jonathan Druart 2018-02-16 16:35:24 UTC
+                  [% NEXT IF display_name.length == 5 %]

Hum??

How did you create the list for patronfields.inc? (if all of the borrowers table, then you are missing few).
Comment 20 Katrin Fischer 2018-02-23 08:54:03 UTC
*** Bug 20263 has been marked as a duplicate of this bug. ***
Comment 21 Nick Clemens 2018-04-24 19:05:37 UTC
Created attachment 74828 [details] [review]
Bug 17374: (follow-up) Remove spaces from include file
Comment 22 Nick Clemens 2018-04-24 19:07:21 UTC
(In reply to Jonathan Druart from comment #19)
> +                  [% NEXT IF display_name.length == 5 %]
> 
> Hum??
Ah, the indents in the file were adding 5 spaces - I didn't know where they had come from but found that solution.  Improved now.


> 
> How did you create the list for patronfields.inc? (if all of the borrowers
> table, then you are missing few).

No, I believe I curated this to fields that were reasonable to search here. If we want more we need to add them I think ( I think some were added after this patchset ) Let me know what you want here.
Comment 23 Jonathan Druart 2018-04-25 14:38:55 UTC
2 majors problems:

1. compare columns.def and patronfields.inc
=> They are the "same"

2. It does not work, and cannot work without changes to C4/Utils/DataTables/Members.pm

Test: Add altcontactsurname to the pref, it appears in the dropdown list, select it, search for something: everything is returned.

Because of the following:

my $searchfields = {
# list of available fields
then later:

130         for my $searchfield ( split /,/, $searchfields->{$searchfieldstype} ) {
131             push @where_strs_or, "borrowers." . $dbh->quote_identifier($searchfield) . " LIKE ?";
132             push @where_args, $term;
133         }
Comment 24 Nick Clemens 2019-09-30 09:49:14 UTC
Created attachment 93226 [details] [review]
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly
Comment 25 Nick Clemens 2019-09-30 09:51:46 UTC
(In reply to Jonathan Druart from comment #23)
> 2 majors problems:
> 
> 1. compare columns.def and patronfields.inc
> => They are the "same"
> 

Yes, but I think this is for another report. The new include removes duplicated code from two templates. I don't fully understand the use of the columns.def - it looks the same but doesn't work the same

> 2. It does not work, and cannot work without changes to
> C4/Utils/DataTables/Members.pm
> 

Fixed
Comment 26 ByWater Sandboxes 2019-10-29 12:38:02 UTC
Created attachment 94831 [details] [review]
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Comment 27 Kelly McElligott 2019-10-29 12:39:57 UTC
This works as expected, see my video 
https://www.loom.com/share/3ab9469f887a4a2aa2793855bc99a7ad
Comment 28 Jonathan Druart 2019-10-30 11:37:14 UTC
There are debug statements left in the patch. Also, tests are missing.
Comment 29 Nick Clemens 2019-10-30 14:07:22 UTC
Created attachment 94876 [details] [review]
Bug 17374: (follow-up) Unit tests and remove warns
Comment 30 Maxime Dufresne 2019-10-30 20:28:21 UTC Comment hidden (obsolete)
Comment 31 Maxime Dufresne 2019-10-30 20:54:44 UTC
Created attachment 94891 [details] [review]
Bug 17374: (follow-up) Unit tests and remove warns

Signed-off-by: Maxime Dufresne <maxime.dufresne@inlibro.com>
Comment 32 Maxime Dufresne 2019-10-30 20:55:06 UTC
Created attachment 94892 [details] [review]
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Signed-off-by: Maxime Dufresne <maxime.dufresne@inlibro.com>
Comment 33 Maxime Dufresne 2019-10-30 21:03:55 UTC
Test plan was fine, but I realized that the dropdown options were different between before and after patch: I saw at least one new field.

Everything else worked as expected.
Comment 34 Jonathan Druart 2019-12-16 14:27:06 UTC
(In reply to Nick Clemens from comment #22)
> (In reply to Jonathan Druart from comment #19)
> > +                  [% NEXT IF display_name.length == 5 %]
> > 
> > Hum??
> Ah, the indents in the file were adding 5 spaces - I didn't know where they
> had come from but found that solution.  Improved now.


+                                [% NEXT IF display_name.length == 5 %]

Still there?

Also there are debug statements in the last patch.
Comment 35 Nick Clemens 2019-12-16 14:41:15 UTC
Created attachment 96341 [details] [review]
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Signed-off-by: Maxime Dufresne <maxime.dufresne@inlibro.com>
Comment 36 Nick Clemens 2019-12-16 14:41:18 UTC
Created attachment 96342 [details] [review]
Bug 17374: (follow-up) Remove spaces from include file
Comment 37 Nick Clemens 2019-12-16 14:41:21 UTC
Created attachment 96343 [details] [review]
Bug 17374: (follow-up) Unit tests and remove warns

Signed-off-by: Maxime Dufresne <maxime.dufresne@inlibro.com>
Comment 38 Nick Clemens 2019-12-16 14:43:34 UTC
(In reply to Jonathan Druart from comment #34)
> (In reply to Nick Clemens from comment #22)
> > (In reply to Jonathan Druart from comment #19)
> > > +                  [% NEXT IF display_name.length == 5 %]
> > > 
> > > Hum??
> > Ah, the indents in the file were adding 5 spaces - I didn't know where they
> > had come from but found that solution.  Improved now.
> 
> 
> +                                [% NEXT IF display_name.length == 5 %]
> 
> Still there?
> 
> Also there are debug statements in the last patch.

Looks like something happened in a rebase, patches restored and cleaned up
Comment 39 Jonathan Druart 2019-12-23 14:25:56 UTC
koha-tmpl/intranet-tmpl/prog/en/includes/patron-search.inc:                  [% NEXT IF display_name.length == 5 %]

So this one too I guess?
Comment 40 Nick Clemens 2019-12-30 11:57:14 UTC
Created attachment 96679 [details] [review]
Bug 17374: Fix another occurrence
Comment 41 Katrin Fischer 2020-01-30 07:33:46 UTC
Created attachment 98106 [details] [review]
Bug 17374: (QA follow-up) Make search labels match with patron record

Makes some small changes to the patronfields.inc to make sure the
search labels match with the labels in the patron record.
Comment 42 Jonathan Druart 2020-02-05 10:36:57 UTC
The tests are failing:

t/db_dependent/selenium/patrons_search.t ..
    #   Failed test 'Invalid option not added when DefaultPatronSearchFields is populated with an invalid field'
    #   at t/db_dependent/selenium/patrons_search.t line 97.
    #          got: '13'
    #     expected: '12'

    #   Failed test 'Invalid filter option not added when DefaultPatronSearchFields is populated with an invalid field'
    #   at t/db_dependent/selenium/patrons_search.t line 98.
    #          got: '13'
    #     expected: '12'
    # Looks like you failed 2 tests of 12.
t/db_dependent/selenium/patrons_search.t .. 1/1 
#   Failed test 'Search patrons'
#   at t/db_dependent/selenium/patrons_search.t line 137.
# Looks like you failed 1 test of 1.
Comment 43 Nick Clemens 2020-02-05 13:08:46 UTC
Created attachment 98478 [details] [review]
Bug 17374: (follow-up) Remove all spaces from include file
Comment 44 Jonathan Druart 2020-03-10 10:48:45 UTC
Created attachment 100436 [details] [review]
Bug 17374: Make use of fields from syspref 'DefaultPatronSearchFields' in patron search fields dropdown

This patch preserves the current dropdown choices for patron search and adds fields from
the DefaultPatronSearchFields system preference

To test:
1 - View the regular patron search and note fields in dropdown
2 - Apply patch, ensure dropdown has not changed
3 - Add fields to DefaultPatronSearchFields, note they are available in
dropdown
4 - Ensure existing and new fields search properly

Signed-off-by: Kelly <kelly@bywatersolutions.com>
Signed-off-by: Maxime Dufresne <maxime.dufresne@inlibro.com>

Bug 17374: (follow-up) Remove all spaces from include file

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 45 Jonathan Druart 2020-03-10 10:48:52 UTC
Created attachment 100437 [details] [review]
Bug 17374: (follow-up) Remove spaces from include file

Bug 17374: Fix another occurrence

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 46 Jonathan Druart 2020-03-10 10:49:00 UTC
Created attachment 100438 [details] [review]
Bug 17374: (follow-up) Unit tests

Signed-off-by: Maxime Dufresne <maxime.dufresne@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 47 Jonathan Druart 2020-03-10 10:49:06 UTC
Created attachment 100439 [details] [review]
Bug 17374: (QA follow-up) Make search labels match with patron record

Makes some small changes to the patronfields.inc to make sure the
search labels match with the labels in the patron record.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 48 Jonathan Druart 2020-03-10 10:52:48 UTC
I cleaned the patches a bit (squash and remove warn, whitespaces, etc.).


After this patch, columns.def and koha-tmpl/intranet-tmpl/prog/en/includes/patronfields.inc list the borrowers fields.

And bug 22844 is going to introduce a third one (koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/borrowers.json). We will need to centralize all of them in a single file.
Comment 49 Martin Renvoize 2020-03-10 15:17:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 50 Joy Nelson 2020-04-02 20:08:49 UTC
enhancement not backported to 19.11.x